ApiTopic analysis
Get a specific competition report for a topic
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
Domain ID
topicId*string
Topic ID
reportId*string
Report ID
Query Parameters
models*string
Response Body
application/json
curl -X GET "https://example.com/domains/507f1f77bcf86cd799439011/topics/507f1f77bcf86cd799439012/competition/507f1f77bcf86cd799439013?models=string"{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"domainId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"topicId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"summary": {
"winRate": 67,
"totalComparisons": 42
},
"detailedResults": [
{
"model": "gpt-5",
"winner": "brand"
}
],
"reportDate": "2026-05-25T10:30:00.000Z",
"createdAt": "2026-05-25T10:30:00.000Z",
"updatedAt": "2026-05-25T10:30:00.000Z"
}